package com.javacorporate.xml.dbobj;

import com.javacorporate.dbobj.DBObject;
import com.javacorporate.dbobj.DBField;
import com.javacorporate.db.DBException;
import org.xml.sax.helpers.DefaultHandler;
import org.xml.sax.AttributeList;
import org.xml.sax.SAXException;
import java.util.Enumeration;
import java.util.Vector;

/**
 * Insert the type's description here.
 * Creation date: (4/6/00 8:12:40 PM)
 * @author: Administrator
 */
public class XMLImportDocument extends DefaultHandler {

	private DBObject myDBObject = null;
	private String currentItem = new String("None");
	private String thisClass = getClass().getName() + ".";
	private String currentFieldName = new String("None");
	private Vector errorList = new Vector(3);
	int recordCount = 0;

	/*
 void endElement(java.lang.String name) 
		  Receive notification of the end of an element. 
 void error(SAXParseException e) 
		  Receive notification of a recoverable parser error. 
 void fatalError(SAXParseException e) 
		  Report a fatal XML parsing error. 
 void ignorableWhitespace(char[] ch, int start, int length) 
		  Receive notification of ignorable whitespace in element content. 
 void notationDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId) 
		  Receive notification of a notation declaration. 
 void processingInstruction(java.lang.String target, java.lang.String data) 
		  Receive notification of a processing instruction. 
 InputSource resolveEntity(java.lang.String publicId, java.lang.String systemId) 
		  Resolve an external entity. 
 void setDocumentLocator(Locator locator) 
		  Receive a Locator object for document events. 
 void startDocument() 
		  Receive notification of the beginning of the document. 
 void startElement(java.lang.String name, AttributeList attributes) 
		  Receive notification of the start of an element. 
 void unparsedEntityDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId, java.lang.String notationName) 
		  Receive notification of an unparsed entity declaration. 
 void warning(SAXParseException e) 
		  Receive notification of a parser warning. 

	*/
/**
 * XMLImportDocument constructor comment.
 */
public XMLImportDocument() {
	super();
}
/**
 * XMLImportDocument constructor comment.
 */
public XMLImportDocument(DBObject newDBObject) {
	super();
	myDBObject = newDBObject;
}
public void characters(char[] ch, int start, int length) throws SAXException {

	String myName = new String(thisClass + "characters(char[], int, int)");

	StringBuffer theData = new StringBuffer("");
	for (int i = start; i < start + length; i++) {
		theData.append(ch[i]);
	}

	System.out.println("Data for " + currentItem + ":" + theData.toString());

	if (currentItem.equals("ObjectName")) {

		System.out.println("Record count was " + recordCount);
		/* New object */
		recordCount = 0;
		
		try {
				Class c = Class.forName(theData.toString());
				myDBObject = (DBObject) c.newInstance();
	
				System.err.println(myName + ":Instantiated new " + theData.toString());
			} catch(ClassNotFoundException cn) {
				throw new SAXException(myName + ":Database object not found:" + cn.getMessage());
			} catch(InstantiationException ie) {
				throw new SAXException(myName + ":Database object cannot be instantiated:" + ie.getMessage());
			} catch(IllegalAccessException iae) {
				throw new SAXException(myName + ":Illegal access loading Database object:" + iae.getMessage());
			}
	} else if (currentItem.equals("FieldName")) {
		currentFieldName = theData.toString();
	} else if (currentItem.equals("FieldValue")) {
		if (myDBObject != null) {
			try {
				myDBObject.setField(currentFieldName, theData.toString());
			} catch (DBException de) {
				throw new SAXException(myName + ":Error setting field " + currentFieldName + ":" + de.getMessage());
			}
		}
	}
}
/**
 * Insert the method's description here.
 * Creation date: (4/6/00 8:27:22 PM)
 */
public void endDocument() throws SAXException {
	
	System.err.println("End document");
	if (myDBObject != null) {
		saveDBObject();
	} else {
		throw new SAXException("Database object is null - Unable to save object");
	}
}
public void endElement(String name) throws SAXException {
	System.out.println("End:" + name);

	if (name.equals("DataRecord")) {
		System.out.println("--> Saving datarecord");
		if (myDBObject != null) {
				saveDBObject();
		} else {
			throw new SAXException("DBObject was null - Error saving object");
		}
	} 
}
/**
 * Insert the method's description here.
 * Creation date: (4/6/00 8:27:22 PM)
 */
public Vector getErrorList() {

	return errorList;
}
/**
 * Insert the method's description here.
 * Creation date: (4/6/00 8:27:22 PM)
 */
public void saveDBObject() {
	try {
		System.err.println("Saving database object");
		if (myDBObject == null) {
			throw new DBException("DBOBject is null, cannot save");
		}
		/* If an object with this key exists, delete the old one first */
		DBObject checkObject = myDBObject.getThisDBObj();
		String oneKey = null;
		for (Enumeration e = myDBObject.getKeyFieldList(); e.hasMoreElements();) {
			oneKey = (String) e.nextElement();
			checkObject.setField(oneKey, myDBObject.getField(oneKey));
		}
		if (checkObject.find()) {
			System.out.println("Record is there, updating");
			/* Don't throw an exception if the record doesn't need updating */
			myDBObject.setCheckZeroUpdate(false);
			myDBObject.update();
		} else {
			System.out.println("Record is not there, adding");
			myDBObject.add();
			System.out.println("Added");
		}
		recordCount++;
	} catch (DBException de) {
		errorList.addElement(de);
		de.printStackTrace(System.out);
	}
}
public void startElement(String name, AttributeList attributes) throws SAXException {
	System.out.println("Start:" + name);

	//for (int i = 0; i < attributes.getLength(); i++) {
	//	System.out.println("Attribute " + i + " Name: " + attributes.getName(i) + " Value:" + attributes.getValue(i));
	//}

	currentItem = name;
	//getType(int);
	//getValue(int);
	//getValue(String);
}
}
